Bug 247593 - http install of fedore core fails due to concatenation bug in boot.iso
http install of fedore core fails due to concatenation bug in boot.iso
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
bzcl34nup
:
: 247594 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 04:45 EDT by Gerd Schirner
Modified: 2008-04-18 07:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 07:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerd Schirner 2007-07-10 04:45:39 EDT
Description of problem:network installing via http (mirror server). TCP config 
runs fine, but when entering host server name (input is split up in two lines), 
(PS: its a must -the user has to enter two lines), the program concatenates the 
two independent strings by adding a slash to each line. example:
my entering: line 1   fedora.kiewel-online.de
             line 2   core/6/i386/os
the program responds with (after about 5 minutes):
unable to retrieve ....from http://fedora.kiewel-online.de//core/6/i386/os/ima..
 PLEASE NOTE THE TWO SLASHES. 
BEING a c-programmer, I tried to enter a backslash at the end of the first line 
to cancel out one of the slashes, but in vain. When I enter one slash on one of 
the lines, the response is:
"unable to retrieve... from ....online.de///core/6....
PLEASE NOTE THE THREE SLASHES IN THIS CASE.
TO ME ITS AN OBVIOUS BUG - COULD HAPPEN TO ME, ADDING A SLASH TWICE.
OF COURSE ITS ONLY MY BEST GUESS
i wish I could help
PS: I am not sure I entered the right component, but it must be something 
with "http", I guess..

Version-Release number of selected component (if applicable):boot.iso


How reproducible:every time (tried about 10 times)


Steps to Reproduce:
1.download boot.iso (fedora 6) and burn a CD (boot-only cd) 
2.boot with the burned CD and tell about HTTP MEDIA, when prompted
3.enter your own tcp/ip configuration (works fine) and then enter the media- 
servers'.
  then you get the problem:(see description)
Actual results:UNABLE TO RETRIEVE MEDIA FROM ...  SERVERNAME//CORE/6/i386

PLEASE NOTE THE TWO SLASHES= ERROR DURING CONCATENATION OF THE TWO INPUT LINES
(PS. WHY ON EARTH DID YOU HAVE TO SPLIT UP INPUT  IN TWO LINES? THAT CAUSED THE 
TROUBLE, SORRY..)

Expected results:connection to server, which of course was impossible.


Additional info:I have said enough already.
Comment 1 Matt Wringe 2007-07-10 09:46:56 EDT
*** Bug 247594 has been marked as a duplicate of this bug. ***
Comment 2 Matt Wringe 2007-07-10 09:54:06 EDT
httpunit is a java library for testing web applications, so you have filed this
bug against the wrong component. Reassigning bug to anaconda.
Comment 3 Chris Lumens 2007-07-10 12:37:08 EDT
Are you still seeing this with F7?  Likely, this is just a problem with the
printing of the URLs in the error messages.  What do you see on tty3?
Comment 4 Paul Zimmermann 2007-12-18 16:11:33 EST
This bug seems the same as {bug 152378}, {bug 207278}, and {bug 237548}.
I really wonder if anybody ever succeeded a netinstall of Fedora...
Comment 5 Bug Zapper 2008-04-04 03:27:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Joel Andres Granados 2008-04-18 07:07:51 EDT
We don't do the concatenation anymore in rawhide,  This should be better.

Note You need to log in before you can comment on or make changes to this bug.